[OSX] allow Scilab to run on Catalina 17/21117/2
St├ęphane MOTTELET [Tue, 5 Nov 2019 12:21:53 +0000 (13:21 +0100)]
Change-Id: I27c0c8eb8d55790f3997576072c979070ca7ecf3

scilab/bin/scilab

index 5c2a5f0..618c6d7 100755 (executable)
@@ -767,7 +767,7 @@ set_macox_specific_path()
     case $macosxMajorVersion in
         10)
             case $macosxMinorVersion in
-                14)
+                14|15)
                     ;;
                 13)
                     # Specific libBLAS.dylib & libz versions for 10.13
@@ -827,8 +827,8 @@ check_macosx_version()
                    # We force to install JRE on Mavericks
                    /usr/libexec/java_home --request > /dev/null
                    ;;
-                10|11|12|13|14)
-                   # ... but not on Yosemite, El Capitan, Sierra, High Sierra or Mojave:
+                10|11|12|13|14|15)
+                   # ... but not on Yosemite, El Capitan, Sierra, High Sierra, Mojave or Catalina:
                    # there will be a (better) error at launch
                    ;;
                 8)